SNSのオープンソース「OpenPne」のバージョンを2.2.から、2.6に引き上げようと思いますが、webappディレクトリのphpがあるディレクトリをアップロードするだけで可能なのでしょうか?


カスタマイズ点は、テンプレートのみです。
気をつける点はございますでしょうか?

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2007/04/26 23:07:24
  • 終了:2007/05/03 23:10:03

回答(2件)

id:ito-yu No.1

ito-yu回答回数323ベストアンサー獲得回数142007/04/27 01:42:25

ポイント35pt

解凍したディレクトリ/setup/OpenPNE_Upgrade.html

を読むと「OpenPNE バージョン2.4.* から バージョン2.6へのアップグレード手順を~」とあります。

つまり、2.2→2.6のアップグレードは公式にサポートされていないのです。

2.4→2.6であればサポートされているわけですから、まずは2.2→2.4にアップグレードしましょう。

http://sourceforge.net/project/showfiles.php?group_id=174268&...

id:onigirin No.2

onigirin回答回数327ベストアンサー獲得回数232007/04/29 04:21:40

ポイント35pt

PNEのメジャーバージョンアップは、

必ず手順を踏む必要があります。

2.2→2.4をまず実行します。

(アップグレードマニュアルに沿って)

そして、2.4→2.6を実行します。

データベース構造が変わっているので、

バックアップを取りながら入念にチェックしたほうがいいですよ。

2.4にした時点で、おかしな動作がないかも見て、

それから2.6にする方がいいと思います。

http://www.openpne.jp/

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません